<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStudiousesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: studiouses
         */
        Schema::create('studiouses', function ($table) {
            $table->increments('id');
            $table->string('ops_id', 11)->nullable();
            $table->string('oid', 11)->nullable();
            $table->string('startcode', 255)->nullable();
            $table->string('arrival', 255)->nullable();
            $table->string('boarding', 255)->nullable();
            $table->string('lodging', 255)->nullable();
            $table->string('accommodation', 255)->nullable();
            $table->string('hotel', 255)->nullable();
            $table->string('titel', 255)->nullable();
            $table->string('name_url', 255)->nullable();
            $table->string('ext_url', 255)->nullable();
            $table->string('webgruppe', 255)->nullable();
            $table->string('title_journey', 255)->nullable();
            $table->string('subtitle', 255)->nullable();
            $table->string('feature', 255)->nullable();
            $table->string('season', 255)->nullable();
            $table->string('duration', 255)->nullable();
            $table->integer('price_min')->nullable();
            $table->integer('price_variani_min')->nullable();
            $table->string('product', 255)->nullable();
            $table->string('organiser', 255)->nullable();
            $table->string('countries', 255)->nullable();
            $table->string('transregional', 255)->nullable();
            $table->text('merkmale')->nullable();
            $table->text('images')->nullable();
            $table->text('maps')->nullable();
            $table->text('vorwort')->nullable();
            $table->text('leistungen')->nullable();
            $table->text('relstage')->nullable();
            $table->text('verpflegung')->nullable();
            $table->text('termine')->nullable();
            $table->string('status', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('studiouses');
    }
}
