Lavalite package that provides studio management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/studio`.

    "btravel/studio": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Studio\Providers\StudioServiceProvider::class,

And also add it to alias

    'Studio'  => Btravel\Studio\Facades\Studio::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\StudioTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Studio\Providers\StudioServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Studio\Providers\StudioServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Studio\Providers\StudioServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/studio/{modulename}

**User**

    http://path-to-route-folder/user/studio/{modulename}

**Public**

    http://path-to-route-folder/studios


### API endpoints

**List**

    http://path-to-route-folder/api/user/studio/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/studio/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/studio/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/studio/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/studio/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/studio/{modulename}/{slug}
    METHOD: GET