<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('studio::studious.name') !!} <small> {!! trans('app.manage') !!} {!! trans('studio::studious.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('studio::studious.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='studio-studious-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('studio/studious')!!}">{!! trans('studio::studious.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('studio/studious?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('studio/studious?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('studio/studious/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('studio::admin.studious.partial.actions')
                    -->
                    @include('studio::admin.studious.partial.filter')
                    @include('studio::admin.studious.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="studio-studious-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="studio-studious-check-all"></th>
                        <th data-field="ops_id">{!! trans('studio::studious.label.ops_id')!!}</th>
                    <th data-field="oid">{!! trans('studio::studious.label.oid')!!}</th>
                    <th data-field="startcode">{!! trans('studio::studious.label.startcode')!!}</th>
                    <th data-field="arrival">{!! trans('studio::studious.label.arrival')!!}</th>
                    <th data-field="boarding">{!! trans('studio::studious.label.boarding')!!}</th>
                    <th data-field="lodging">{!! trans('studio::studious.label.lodging')!!}</th>
                    <th data-field="accommodation">{!! trans('studio::studious.label.accommodation')!!}</th>
                    <th data-field="hotel">{!! trans('studio::studious.label.hotel')!!}</th>
                    <th data-field="titel">{!! trans('studio::studious.label.titel')!!}</th>
                    <th data-field="name_url">{!! trans('studio::studious.label.name_url')!!}</th>
                    <th data-field="ext_url">{!! trans('studio::studious.label.ext_url')!!}</th>
                    <th data-field="webgruppe">{!! trans('studio::studious.label.webgruppe')!!}</th>
                    <th data-field="title_journey">{!! trans('studio::studious.label.title_journey')!!}</th>
                    <th data-field="subtitle">{!! trans('studio::studious.label.subtitle')!!}</th>
                    <th data-field="feature">{!! trans('studio::studious.label.feature')!!}</th>
                    <th data-field="season">{!! trans('studio::studious.label.season')!!}</th>
                    <th data-field="duration">{!! trans('studio::studious.label.duration')!!}</th>
                    <th data-field="price_min">{!! trans('studio::studious.label.price_min')!!}</th>
                    <th data-field="price_variani_min">{!! trans('studio::studious.label.price_variani_min')!!}</th>
                    <th data-field="product">{!! trans('studio::studious.label.product')!!}</th>
                    <th data-field="organiser">{!! trans('studio::studious.label.organiser')!!}</th>
                    <th data-field="countries">{!! trans('studio::studious.label.countries')!!}</th>
                    <th data-field="transregional">{!! trans('studio::studious.label.transregional')!!}</th>
                    <th data-field="merkmale">{!! trans('studio::studious.label.merkmale')!!}</th>
                    <th data-field="images">{!! trans('studio::studious.label.images')!!}</th>
                    <th data-field="maps">{!! trans('studio::studious.label.maps')!!}</th>
                    <th data-field="vorwort">{!! trans('studio::studious.label.vorwort')!!}</th>
                    <th data-field="leistungen">{!! trans('studio::studious.label.leistungen')!!}</th>
                    <th data-field="relstage">{!! trans('studio::studious.label.relstage')!!}</th>
                    <th data-field="verpflegung">{!! trans('studio::studious.label.verpflegung')!!}</th>
                    <th data-field="termine">{!! trans('studio::studious.label.termine')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#studio-studious-entry', '{!!guard_url('studio/studious/0')!!}');
    oTable = $('#studio-studious-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('studio/studious') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'ops_id'},
            {data :'oid'},
            {data :'startcode'},
            {data :'arrival'},
            {data :'boarding'},
            {data :'lodging'},
            {data :'accommodation'},
            {data :'hotel'},
            {data :'titel'},
            {data :'name_url'},
            {data :'ext_url'},
            {data :'webgruppe'},
            {data :'title_journey'},
            {data :'subtitle'},
            {data :'feature'},
            {data :'season'},
            {data :'duration'},
            {data :'price_min'},
            {data :'price_variani_min'},
            {data :'product'},
            {data :'organiser'},
            {data :'countries'},
            {data :'transregional'},
            {data :'merkmale'},
            {data :'images'},
            {data :'maps'},
            {data :'vorwort'},
            {data :'leistungen'},
            {data :'relstage'},
            {data :'verpflegung'},
            {data :'termine'},
        ],
        "pageLength": 25
    });

    $('#studio-studious-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#studio-studious-list').DataTable().row( this ).data();
        $('#studio-studious-entry').load('{!!guard_url('studio/studious')!!}' + '/' + d.id);
    });

    $('#studio-studious-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#studio-studious-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#studio-studious-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#studio-studious-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>