<?php

namespace Btravel\Studio\Forms;

class Studious
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'ops_id' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.ops_id'),
                    "placeholder" => trans('studio::studious.placeholder.ops_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'oid' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.oid'),
                    "placeholder" => trans('studio::studious.placeholder.oid'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'startcode' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.startcode'),
                    "placeholder" => trans('studio::studious.placeholder.startcode'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'arrival' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.arrival'),
                    "placeholder" => trans('studio::studious.placeholder.arrival'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'boarding' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.boarding'),
                    "placeholder" => trans('studio::studious.placeholder.boarding'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'lodging' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.lodging'),
                    "placeholder" => trans('studio::studious.placeholder.lodging'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'accommodation' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.accommodation'),
                    "placeholder" => trans('studio::studious.placeholder.accommodation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'hotel' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.hotel'),
                    "placeholder" => trans('studio::studious.placeholder.hotel'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'titel' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.titel'),
                    "placeholder" => trans('studio::studious.placeholder.titel'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'name_url' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.name_url'),
                    "placeholder" => trans('studio::studious.placeholder.name_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'ext_url' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.ext_url'),
                    "placeholder" => trans('studio::studious.placeholder.ext_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'webgruppe' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.webgruppe'),
                    "placeholder" => trans('studio::studious.placeholder.webgruppe'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title_journey' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.title_journey'),
                    "placeholder" => trans('studio::studious.placeholder.title_journey'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'subtitle' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.subtitle'),
                    "placeholder" => trans('studio::studious.placeholder.subtitle'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'feature' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.feature'),
                    "placeholder" => trans('studio::studious.placeholder.feature'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'season' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.season'),
                    "placeholder" => trans('studio::studious.placeholder.season'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'duration' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.duration'),
                    "placeholder" => trans('studio::studious.placeholder.duration'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_min' => [
                    "type" => 'numeric',
                    "label" => trans('studio::studious.label.price_min'),
                    "placeholder" => trans('studio::studious.placeholder.price_min'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_variani_min' => [
                    "type" => 'numeric',
                    "label" => trans('studio::studious.label.price_variani_min'),
                    "placeholder" => trans('studio::studious.placeholder.price_variani_min'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'product' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.product'),
                    "placeholder" => trans('studio::studious.placeholder.product'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'organiser' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.organiser'),
                    "placeholder" => trans('studio::studious.placeholder.organiser'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'countries' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.countries'),
                    "placeholder" => trans('studio::studious.placeholder.countries'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'transregional' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.transregional'),
                    "placeholder" => trans('studio::studious.placeholder.transregional'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'merkmale' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.merkmale'),
                    "placeholder" => trans('studio::studious.placeholder.merkmale'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'images' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.images'),
                    "placeholder" => trans('studio::studious.placeholder.images'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'maps' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.maps'),
                    "placeholder" => trans('studio::studious.placeholder.maps'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'vorwort' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.vorwort'),
                    "placeholder" => trans('studio::studious.placeholder.vorwort'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'leistungen' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.leistungen'),
                    "placeholder" => trans('studio::studious.placeholder.leistungen'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'relstage' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.relstage'),
                    "placeholder" => trans('studio::studious.placeholder.relstage'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verpflegung' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.verpflegung'),
                    "placeholder" => trans('studio::studious.placeholder.verpflegung'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'termine' => [
                    "type" => 'text',
                    "label" => trans('studio::studious.label.termine'),
                    "placeholder" => trans('studio::studious.placeholder.termine'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
