<?php

namespace Btravel\Studio\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StudiousTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Studio\Models\Studious $studious)
    {
        return [
            'id'                => $studious->getRouteKey(),
            'key'               => [
                'public'    => $studious->getPublicKey(),
                'route'     => $studious->getRouteKey(),
            ], 
            'ops_id'            => $studious->ops_id,
            'oid'               => $studious->oid,
            'startcode'         => $studious->startcode,
            'arrival'           => $studious->arrival,
            'boarding'          => $studious->boarding,
            'lodging'           => $studious->lodging,
            'accommodation'     => $studious->accommodation,
            'hotel'             => $studious->hotel,
            'titel'             => $studious->titel,
            'name_url'          => $studious->name_url,
            'ext_url'           => $studious->ext_url,
            'webgruppe'         => $studious->webgruppe,
            'title_journey'     => $studious->title_journey,
            'subtitle'          => $studious->subtitle,
            'feature'           => $studious->feature,
            'season'            => $studious->season,
            'duration'          => $studious->duration,
            'price_min'         => $studious->price_min,
            'price_variani_min' => $studious->price_variani_min,
            'product'           => $studious->product,
            'organiser'         => $studious->organiser,
            'countries'         => $studious->countries,
            'transregional'     => $studious->transregional,
            'merkmale'          => $studious->merkmale,
            'images'            => $studious->images,
            'maps'              => $studious->maps,
            'vorwort'           => $studious->vorwort,
            'leistungen'        => $studious->leistungen,
            'relstage'          => $studious->relstage,
            'verpflegung'       => $studious->verpflegung,
            'termine'           => $studious->termine,
            'deleted_at'        => $studious->deleted_at,
            'url'               => [
                'public'    => trans_url('studio/'.$studious->getPublicKey()),
                'user'      => guard_url('studio/studious/'.$studious->getRouteKey()),
            ], 
            'status'            => trans('app.'.$studious->status),
            'created_at'        => format_date($studious->created_at),
            'updated_at'        => format_date($studious->updated_at),
        ];
    }
}