<?php

namespace Btravel\Studio;

use User;

class Studio
{
    /**
     * $studious object.
     */
    protected $studious;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Studio\Interfaces\StudiousRepositoryInterface $studious)
    {
        $this->studious = $studious;
    }

    /**
     * Returns count of studio.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.studious.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->studious->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\StudiousUserCriteria());
        }

        $studious = $this->studious->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('studio::' . $view, compact('studious'))->render();
    }
}
